Bug 8820 - Don't show orders table if there are no orders
Summary: Don't show orders table if there are no orders
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-25 18:23 UTC by Owen Leonard
Modified: 2013-05-23 06:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8820 - Don't show orders table if there are no orders (3.56 KB, patch)
2012-09-25 18:34 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8820 - Don't show orders table if there are no orders (3.59 KB, patch)
2012-09-26 16:49 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 8820 [3.8.x] Don't show orders table if there are no orders (2.45 KB, patch)
2012-11-21 19:48 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed off] Bug 8820 [3.8.x] Don't show orders table if there are no orders (2.48 KB, patch)
2012-11-30 23:44 UTC, Melia Meggs
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8820 [3.8.x] Don't show orders table if there are no orders (2.88 KB, patch)
2012-12-01 23:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-09-25 18:23:38 UTC
Rather than show the "Order Details" heading and a "Basket empty" message it would be simpler to hide the table altogether so that the focus could move to the "Add order to basket" form.
Comment 1 Owen Leonard 2012-09-25 18:34:24 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2012-09-26 16:49:11 UTC Comment hidden (obsolete)
Comment 3 Paul Poulain 2012-10-10 15:52:11 UTC
QA comment
 * template/styling only patch, no side effect risk
 * passes koha-qa.pl

passed QA
Comment 4 Paul Poulain 2012-10-10 15:52:26 UTC
Patch pushed to master
Comment 5 Chris Cormack 2012-10-10 21:30:29 UTC
Doesn't apply on 3.8.x please reformat and send for 3.8.x if it is needed
Comment 6 Owen Leonard 2012-11-21 19:48:23 UTC Comment hidden (obsolete)
Comment 7 Melia Meggs 2012-11-30 23:44:17 UTC Comment hidden (obsolete)
Comment 8 Melia Meggs 2012-11-30 23:46:23 UTC
I applied this patch 3.8.7.  I looked at an empty basket and see that the Order Details and Basket Empty messages are now gone.  I looked at a non-empty basket and see that Order Details has been changed to just Orders.  All looks good, so I'm signing off.
Comment 9 Katrin Fischer 2012-12-01 23:10:08 UTC
Created attachment 13814 [details] [review]
[SIGNED-OFF] Bug 8820 [3.8.x] Don't show orders table if there are no orders

Reworkd for 3.8.x: Patch removes the "basket empty" message in
favor of hiding the orders table altogether when a basket has
no orders.

Other textual changes:

- Correcting capitalization according to coding guidelines
- Replacing the "Order Details" heading with the more
  succinct "Orders"

Signed-off-by: Melia Meggs <melia@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests pass, template change only.

To test:
1) Create a new basket - verify 'basket empty' shows up
2) Create order line - verfiy table heading is 'Order Details'
3) Close basket, check capitalization on basket group dialog

Repeat with patch applied.
- 'basket empty' is gone
- Heading is now 'Orders'
- Capitalization on basket group dialog is correct
Comment 10 Chris Cormack 2012-12-05 00:24:45 UTC
Pushed to 3.8.x, will be in 3.8.8